import { pluginNamePrefix } from '@vuepress-denaro/core';
import { getDirname, path } from '@vuepress/utils';
import { mdPluginAutodoc } from './md-plugin-autodoc/index.js';
const __dirname = getDirname(import.meta.url);
export const autodocPlugin = ({ rootPath } = {}) => {
    const pluginObj = {
        name: `${pluginNamePrefix}autodoc`,
        extendsMarkdown(md) {
            md.set({ breaks: true });
            md.use(mdPluginAutodoc, { rootPath });
        },
        clientConfigFile: path.resolve(__dirname, '../client/config.js'),
        alias: {
            // workaround for https://github.com/vitejs/vite/issues/7621
            [`${pluginNamePrefix}autodoc/client`]: path.resolve(__dirname, '../client/index.js'),
        },
    };
    return pluginObj;
};
